-- Considerater
--
-- Default Profiles for different classes

Considerater.defaultProfileTable = {
  ["Death Knight"] = {
    ["Blood DPS PvE"] = {
      ["DPS"] = 25,
      ["MELEE_HIT_RATING"] = 12.5,
      ["STR"] = 12.1,
      ["EXPERTISE_RATING"] = 8,
      ["MELEE_CRIT_RATING"] = 5.5,
      ["ARMOR_PENETRATION_RATING"] = 5,
      ["AP"] = 4.8,
      ["MELEE_HASTE_RATING"] = 2.8,
      ["STA"] = 1,
    },
    ["Frost DPS PvE"] = {
      ["DPS"] = 25,
      ["MELEE_HIT_RATING"] = 12.5,
      ["STR"] = 12.4,
      ["EXPERTISE_RATING"] = 6.5,
      ["MELEE_CRIT_RATING"] = 6.2,
      ["AP"] = 5.2,
      ["ARMOR_PENETRATION_RATING"] = 4,
      ["MELEE_HASTE_RATING"] = 2.5,
      ["STA"] = 1,
    },
    ["Unholy DPS PvE"] = {
      ["DPS"] = 25,
      ["MELEE_HIT_RATING"] = 12.5,
      ["STR"] = 12.5,
      ["EXPERTISE_RATING"] = 7,
      ["MELEE_CRIT_RATING"] = 5.8,
      ["AP"] = 5.1,
      ["MELEE_HASTE_RATING"] = 3.2,
      ["ARMOR_PENETRATION_RATING"] = 2.8,
      ["STA"] = 1,
    },
    ["Frost Tank PvE"] = {
      ["DPS"] = 25,
      ["MELEE_HIT_RATING"] = 12.5,
      ["STR"] = 12.4,
      ["DEFENSE_RATING"] = 11,
      ["EXPERTISE_RATING"] = 8.9,
      ["DODGE_RATING"] = 8,
      ["PARRY_RATING"] = 7.6,
      ["AGI"] = 8,
      ["STA"] = 8,
      ["MELEE_CRIT_RATING"] = 6.2,
      ["AP"] = 5.2,
      ["ARMOR_PENETRATION_RATING"] = 4,
      ["ARMOR"] = 0.8,
      ["ARMOR_BONUS"] = 0.8,
    },
  },
  ["Druid"] = {
    ["Balance DPS PvE"] = {
      ["MELEE_HIT_RATING"] = 25,
      ["MELEE_HASTE_RATING"] = 11.5,
      ["SPELL_DMG"] = 11.5,
      ["MELEE_CRIT_RATING"] = 10.8,
      ["INT"] = 6.5,
      ["MANA_REG"] = 3.8,
      ["SPI"] = 2,
      ["STA"] = 2,
    },
    ["Cat DPS PvE"] = {
      ["STR"] = 25,
      ["AGI"] = 21.2,
      ["EXPERTISE_RATING"] = 14.5,
      ["MELEE_HIT_RATING"] = 14.5,
      ["MELEE_CRIT_RATING"] = 13,
      ["FERAL_AP"] = 10.8,
      ["AP"] = 10.8,
      ["ARMOR_PENETRATION_RATING"] = 10.5,
      ["MELEE_HASTE_RATING"] = 10,
    },
    ["Bear Tank PvE"] = {
      ["AGI"] = 25,
      ["DODGE_RATING"] = 17.5,
      ["STA"] = 16.2,
      ["ARMOR"] = 6.2,
      ["ARMOR_BONUS"] = 6.2,
      ["EXPERTISE_RATING"] = 4,
      ["STR"] = 2.5,
      ["MELEE_HIT_RATING"] = 1.5,
      ["MELEE_HASTE_RATING"] = 1.2,
      ["FERAL_AP"] = 1,
      ["AP"] = 1,
      ["MELEE_CRIT_RATING"] = 0.8,
      ["DEFENSE_RATING"] = 8,
    },
    ["Resto PvE"] = {
      ["MANA_REG"] = 25,
      ["SPELL_DMG"] = 12.8,
      ["SPI"] = 12,
      ["INT"] = 7,
      ["MELEE_CRIT_RATING"] = 3.5,
      ["MELEE_HASTE_RATING"] = 3,
      ["STA"] = 3,
    },
  },
  ["Hunter"] = {
    ["BM DPS PvE"] = {
      ["DPS"] = 25,
      ["MELEE_HIT_RATING"] = 25,
      ["INT"] = 23.2,
      ["AGI"] = 14.8,
      ["ARMOR_PENETRATION_RATING"] = 13.5,
      ["MANA_REG"] = 12,
      ["MELEE_HASTE_RATING"] = 10.8,
      ["AP"] = 9.8,
      ["MELEE_CRIT_RATING"] = 9.2,
    },
    ["Marks DPS PvE"] = {
      ["DPS"] = 25,
      ["INT"] = 25,
      ["MELEE_HIT_RATING"] = 22.5,
      ["MANA_REG"] = 17.5,
      ["AGI"] = 15.8,
      ["ARMOR_PENETRATION_RATING"] = 15.5,
      ["MELEE_HASTE_RATING"] = 14.8,
      ["MELEE_CRIT_RATING"] = 10.8,
      ["AP"] = 9.5,
    },
    ["Surv DPS PvE"] = {
      ["DPS"] = 25,
      ["INT"] = 25,
      ["MELEE_HIT_RATING"] = 23.2,
      ["AGI"] = 20.8,
      ["MANA_REG"] = 18,
      ["MELEE_HASTE_RATING"] = 17.5,
      ["ARMOR_PENETRATION_RATING"] = 16.5,
      ["MELEE_CRIT_RATING"] = 14.5,
      ["AP"] = 8.8,
    },
  },
  ["Mage"] = {
    ["Arcane PvE"] = {
      ["STA"] = 2,
      ["SPI"] = 3.5,
      ["INT"] = 9.7,
      ["MELEE_HASTE_RATING"] = 12.5,
      ["MELEE_CRIT_RATING"] = 8.5,
      ["MELEE_HIT_RATING"] = 25,
      ["SPELL_DMG"] = 11,
      ["MANA_REG"] = 2.2,
    },
    ["Fire PvE"] = {
      ["STA"] = 2,
      ["INT"] = 8.9,
      ["MELEE_HASTE_RATING"] = 12.3,
      ["MELEE_CRIT_RATING"] = 16.5,
      ["MELEE_HIT_RATING"] = 25,
      ["SPELL_DMG"] = 12.5,
      ["MANA_REG"] = 3.9,
    },
    ["Frost PvE"] = {
      ["STA"] = 2,
      ["INT"] = 5.1,
      ["MELEE_HASTE_RATING"] = 12.1,
      ["MELEE_CRIT_RATING"] = 8.2,
      ["MELEE_HIT_RATING"] = 25,
      ["SPELL_DMG"] = 12.5,
      ["MANA_REG"] = 3.2,
    },
  },
  ["Paladin"] = {
    ["Holy PvE"] = {
      ["STA"] = 4,
      ["INT"] = 7.2,
      ["MELEE_CRIT_RATING"] = 9,
      ["MELEE_HASTE_RATING"] = 25,
      ["ARMOR"] = 0.4,
      ["ARMOR_BONUS"] = 0.4,
      ["MANA_REG"] = 3.8,
      ["SPELL_DMG"] = 13.6,
    },
    ["Prot PvE"] = {
      ["DEFENSE_RATING"] = 25,
      ["STR"] = 24,
      ["AGI"] = 22,
      ["BLOCK_RATING"] = 20,
      ["DODGE_RATING"] = 19.8,
      ["STA"] = 19,
      ["PARRY_RATING"] = 19,
      ["EXPERTISE_RATING"] = 13.2,
      ["BLOCK_VALUE"] = 13,
      ["MELEE_HIT_RATING"] = 12.5,
      ["AP"] = 6.2,
      ["MELEE_CRIT_RATING"] = 5.8,
      ["ARMOR"] = 2.2,
      ["ARMOR_BONUS"] = 2.2,
    },
    ["Ret PvE"] = {
      ["DPS"] = 25,
      ["STR"] = 25,
      ["MELEE_CRIT_RATING"] = 17.5,
      ["ARMOR_PENETRATION_RATING"] = 16.8,
      ["AGI"] = 16.8,
      ["MELEE_HIT_RATING"] = 14.8,
      ["EXPERTISE_RATING"] = 11,
      ["MELEE_HASTE_RATING"] = 9.5,
      ["AP"] = 9.5,
      ["STA"] = 2,
    }
  },
  ["Priest"] = {
    ["Disc PvP"] = {
      ["STA"] = 14.5,
      ["INT"] = 7,
      ["SPI"] = 1.5,
      ["MELEE_HASTE_RATING"] = 8.1,
      ["MELEE_CRIT_RATING"] = 1.7,
      ["RESILIENCE_RATING"] = 23.2,
      ["MANA_REG"] = 10,
      ["SPELL_DMG"] = 1.2,
    },
    ["Holy PvE"] = {
      ["INT"] = 22,
      ["SPI"] = 21.2,
      ["MELEE_HASTE_RATING"] = 12.8,
      ["MELEE_CRIT_RATING"] = 15.8,
      ["SPELL_DMG"] = 25,
      ["MANA_REG"] = 23.2,
    },
    ["Shadow PvE"] = {
      ["MELEE_HIT_RATING"] = 25,
      ["SPELL_DMG"] = 15.2,
      ["MELEE_CRIT_RATING"] = 12.5,
      ["INT"] = 10.8,
      ["MANA_REG"] = 6.8,
      ["MELEE_HASTE_RATING"] = 6.2,
      ["SPI"] = 1.5,
    },
    ["Shadow PvP"] = {
      ["STA"] = 18.75,
      ["INT"] = 0.9,
      ["MELEE_HASTE_RATING"] = 10.1,
      ["MELEE_CRIT_RATING"] = 2.1,
      ["SPELL_DMG"] = 12.5,
      ["MANA_REG"] = 2.5,
      ["RESILIENCE_RATING"] = 25,
    },
    ["Disc Heal PvE"] = {
      ["SPELL_DMG"] = 25,
      ["MELEE_CRIT_RATING"] = 23.8,
      ["INT"] = 14.8,
      ["MELEE_HASTE_RATING"] = 11.8,
      ["MANA_REG"] = 9,
      ["SPI"] = 9,
    },
  },
  ["Rogue"] = {
    ["PvE"] = {
      ["DPS"] = 25,
      ["AGI"] = 25,
      ["EXPERTISE_RATING"] = 25,
      ["MELEE_HASTE_RATING"] = 20.5,
      ["MELEE_HIT_RATING"] = 20.5,
      ["MELEE_CRIT_RATING"] = 20.5,
      ["ARMOR_PENETRATION_RATING"] = 13.8,
      ["STR"] = 12.5,
      ["AP"] = 11.5,
      ["STA"] = 1,
    },
  },
  ["Shaman"] = {
    ["Elemental PvE"] = {
      ["MELEE_HIT_RATING"] = 25,
      ["SPELL_DMG"] = 16.2,
      ["MELEE_HASTE_RATING"] = 10,
      ["MELEE_CRIT_RATING"] = 8.8,
      ["INT"] = 2.5,
    },
    ["Enhancement PvE"] = {
      ["DPS"] = 25,
      ["MELEE_HIT_RATING"] = 12.5,
      ["EXPERTISE_RATING"] = 10.5,
      ["INT"] = 6.9,
      ["MELEE_CRIT_RATING"] = 6.9,
      ["AGI"] = 6.9,
      ["MELEE_HASTE_RATING"] = 5.8,
      ["STR"] = 4.5,
      ["AP"] = 4.1,
      ["SPELL_DMG"] = 3.8,
      ["ARMOR_PENETRATION_RATING"] = 3.8,
    },
    ["Restoration PvE"] = {
      ["MANA_REG"] = 25,
      ["INT"] = 21.8,
      ["SPELL_DMG"] = 19,
      ["MELEE_HASTE_RATING"] = 14.2,
      ["MELEE_CRIT_RATING"] = 8.5,
      ["STA"] = 1,
    },
  },
  ["Warlock"] = {
    ["Affliction PvE"] = {
      ["SPELL_DMG"] = 25,
      ["SPI"] = 18.5,
      ["MELEE_HIT_RATING"] = 8,
      ["MELEE_HASTE_RATING"] = 6.2,
      ["MELEE_CRIT_RATING"] = 6,
      ["MANA_REG"] = 5.5,
      ["INT"] = 3.5,
      ["STA"] = 3.5,
    },
    ["Demonology PvE"] = {
      ["SPELL_DMG"] = 25,
      ["SPI"] = 24,
      ["MELEE_HIT_RATING"] = 12.2,
      ["MELEE_HASTE_RATING"] = 9.2,
      ["MANA_REG"] = 8.2,
      ["MELEE_CRIT_RATING"] = 5.2,
      ["INT"] = 3,
      ["STA"] = 3,
    },
    ["Destruction PvE"] = {
      ["SPELL_DMG"] = 25,
      ["SPI"] = 14,
      ["MELEE_HIT_RATING"] = 12.5,
      ["MANA_REG"] = 12,
      ["MELEE_HASTE_RATING"] = 12,
      ["MELEE_CRIT_RATING"] = 11.8,
      ["INT"] = 11.2,
      ["STA"] = 11.2,
    },
  },
  ["Warrior"] = {
    ["Fury DPS PvE"] = {
      ["DPS"] = 25,
      ["EXPERTISE_RATING"] = 25,
      ["AP"] = 8.5,
      ["ARMOR_PENETRATION_RATING"] = 8.2,
      ["STR"] = 5.5,
      ["MELEE_HIT_RATING"] = 4.5,
      ["MELEE_CRIT_RATING"] = 4.5,
      ["AGI"] = 3,
      ["MELEE_HASTE_RATING"] = 1,
      ["STA"] = 1,
      ["ARMOR"] = 0.2,
      ["ARMOR_BONUS"] = 0.2,
    },
    ["Prot Tank PvE"] = {
      ["STA"] = 25,
      ["DEFENSE_RATING"] = 16.5,
      ["DODGE_RATING"] = 14.8,
      ["BLOCK_RATING"] = 14.8,
      ["EXPERTISE_RATING"] = 14.5, 
      ["AGI"] = 13.2,
      ["PARRY_RATING"] = 12.5,
      ["BLOCK_VALUE"] = 5.5,
      ["STR"] = 4.2,
      ["MELEE_HIT_RATING"] = 1.8,
      ["ARMOR"] = 1.8,
      ["ARMOR_BONUS"] = 1.8,
      ["MELEE_CRIT_RATING"] = 1.2,
      ["ARMOR_PENETRATION_RATING"] = 1.2,
      ["AP"] = 0.8,
      ["MELEE_HASTE_RATING"] = 0.8,
    },
  },
}

